org.jacoco.ant

## Class AgentTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.jacoco.ant.AbstractCoverageTask
      - - org.jacoco.ant.AgentTask

All Implemented Interfaces:
  Cloneable

    public class AgentTask
    extends AbstractCoverageTask

Ant task that will unpack the coverage agent jar and generate the JVM options required to use it

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`AgentTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Unpacks a private copy of the JaCoCo agent and populates `property` with the JVM arguments required to use it.
`void` `setProperty(String property)` Sets the name of the property to hold the agent JVM options

### Methods inherited from class org.jacoco.ant.AbstractCoverageTask

`getLaunchingArgument, isEnabled, setAddress, setAppend, setClassdumpdir, setDestfile, setDumpOnExit, setEnabled, setExclClassLoader, setExcludes, setInclBootstrapClasses, setInclNoLocationClasses, setIncludes, setJmx, setOutput, setPort, setSessionId`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AgentTask

    public AgentTask()

### Method Detail

#### setProperty

    public void setProperty(String property)

Sets the name of the property to hold the agent JVM options

Parameters:
  `property` - Name of the property to be populated

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Unpacks a private copy of the JaCoCo agent and populates `property` with the JVM arguments required to use it. The value set into the property is only valid for the lifetime of the current JVM. The agent jar will be removed on termination of the JVM.

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`